﻿@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@Html.DevExpress().GridView(
                    setting =>
                    {
                        setting.Name = "GridDeliveryPurchase";
                        setting.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
                        setting.Width = Unit.Percentage(95);
                        setting.KeyFieldName = "PRNo";
                        //setting.SettingsDetail.MasterGridName = "grid";
                        setting.Settings.ShowFilterRow = true;
                        setting.Settings.ShowFilterRowMenu = true;

                        setting.CommandColumn.ClearFilterButton.Visible = true;
                        setting.CommandColumn.ShowSelectCheckbox = true;
                        setting.CommandColumn.Visible = true;
                        setting.CommandColumn.Caption = "#";
                        setting.CommandColumn.Width = Unit.Pixel(50);
                        
                        setting.SettingsPager.PageSizeItemSettings.Visible = true;
                        setting.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
                        setting.SettingsPager.PageSizeItemSettings.Caption = "Page size";
                        setting.Settings.HorizontalScrollBarMode = ScrollBarMode.Hidden;
                        setting.SettingsPager.FirstPageButton.Visible = true;
                        setting.SettingsPager.LastPageButton.Visible = true;
                        //setting.CallbackRouteValues = new { Controller = "LogMonitoring", Action = "ReloadGrid" };
                        //setting.ClientSideEvents.BeginCallback = "BeginGridCallback";


                        setting.Columns.Add("PRNo", "PRNo", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(50);
                        setting.Columns["PRNo"].CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        
                        setting.Columns.Add(col =>
                        {
                            col.FieldName = "RouteConvertion";
                            col.Caption = "Route Convertion";
                            col.Width = 100;
                            col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            col.SetDataItemTemplateContent(container =>
                            {
                                Html.DevExpress().HyperLink(hlSettings =>
                                {
                                    hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                                    hlSettings.NavigateUrl = "javascript:void(0)";
                                    hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
                                    hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                                    
                                }).Render();
                            });
                        });

                        setting.Columns.Add("RouteCode", "Route Code", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(100);
                        setting.Columns["RouteCode"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        setting.Columns.Add("RouteName", "Route Name", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(150);
                        setting.Columns["RouteName"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        setting.Columns.Add("Trucking", "Logistic Partner", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(150);
                        setting.Columns["Trucking"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        setting.Columns.Add("Qty", "Qty", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(50);
                        setting.Columns["Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        setting.Columns.Add("Status", "Status", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(120);
                        setting.Columns["Status"].CellStyle.HorizontalAlign = HorizontalAlign.Left;


                        setting.Columns.AddBand(
                            columnBand =>
                            {
                                columnBand.Caption = "Created";
                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "By";
                                        column.Name = "CreatedBy";
                                        column.FieldName = "CreatedBy";
                                        column.Width = Unit.Pixel(110);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                        
                                     }
                                 );

                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "Date";
                                        column.Name = "CreatedDate";
                                        column.FieldName = "CreatedDate";
                                        column.Width = Unit.Pixel(120);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                    }
                                    );

                            }
                            );


                        setting.Columns.AddBand(
                            columnBand =>
                            {
                                columnBand.Caption = "Changed";
                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "By";
                                        column.Name = "ChangeBy";
                                        column.FieldName = "ChangeBy";
                                        column.Width = Unit.Pixel(110);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                    }
                                 );

                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "Date";
                                        column.Name = "ChangeDate";
                                        column.FieldName = "ChangeDate";
                                        column.Width = Unit.Pixel(120);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                    }
                                    );

                            }
                            );
                    }).Bind(Model.GetModel<Portal.Models.DeliveryPurchase.DeliveryPurchaseModel>().DeliveryPurchase).GetHtml()


                    
                     